From 84336d588e409e7feb8a2859206140d82bcac8f5 Mon Sep 17 00:00:00 2001
From: Chen Qun <kuhn.chenqun@huawei.com>
Date: Tue, 7 Apr 2020 11:18:32 +0800
Subject: [PATCH 01/16] watchdog: check watchdog device need machine for
 aarch64

The check cmd is "qemu-kvm  -M virt -watchdog '?'" for aarch64.

Signed-off-by: Chen Qun <kuhn.chenqun@huawei.com>
---
 qemu/tests/watchdog.py | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

diff --git a/qemu/tests/watchdog.py b/qemu/tests/watchdog.py
index f9f92307..cb9ae9e9 100644
--- a/qemu/tests/watchdog.py
+++ b/qemu/tests/watchdog.py
@@ -3,6 +3,7 @@ import re
 import time
 import logging
 import random
+import platform
 
 from avocado.utils import process
 from virttest import error_context
@@ -168,8 +169,12 @@ def run(test, params, env):
         """
         qemu_binary = utils_misc.get_qemu_binary(params)
 
-        watchdog_type_check = params.get(
-            "watchdog_type_check", " -watchdog '?'")
+        if "aarch" in platform.machine():
+            machine_type = params.get("machine_type").split(':', 1)[1]
+            watchdog_arg = " -M %s -watchdog '?'" % machine_type
+        else:
+            watchdog_arg = " -watchdog '?'"
+        watchdog_type_check = params.get("watchdog_type_check", watchdog_arg)
         qemu_cmd = qemu_binary + watchdog_type_check
 
         # check the host support watchdog types.
-- 
2.23.0

